(function() {
	"use strict";

	document.getElementById("delay").style.display = "block";

	function sendData(url, formData, callback) {
		var xhr = new XMLHttpRequest();
		xhr.open("POST", url);
		xhr.onreadystatechange = function() {
			if (xhr.readyState === 4) {
				if (xhr.status === 200) {
					console.log(xhr.responseText);
					var data = JSON.parse(xhr.responseText);
					callback(data);
				} else {
					console.log(xhr.responseText);
				}
			}
		};
		xhr.send(formData);
	}

	function toIndex(i, t) {
		var formData = new FormData();
		formData.append("action", "minres-install");
		formData.append("index", i);

		// Anzeigen des Ladeindikators
		var delayElement = document.getElementById("delay");
		delayElement.style.display = "block";

		var delayInfoElement = document.getElementById("delay-info");
		if (!delayInfoElement) {
			delayInfoElement = document.createElement("span");
			delayInfoElement.id = "delay-info";
			document.getElementById("loader").insertAdjacentElement("afterend", delayInfoElement);
			var loaderText = "Loading...";
			delayInfoElement.innerHTML = loaderText;
		}

		sendData("./" + t, formData, function(result) {
			if (result) {
				if (result.redirect) {
					return window.location.replace('../install/');
				}
				if (result.loaderText) {
					document.getElementById("delay-info").innerHTML = result.loaderText;
				}
				if (result.next) {
					// Rekursiver Aufruf von toIndex()
					toIndex(result.index, t);
				} else {
					// Ausblenden des Ladeindikators nach Abschluss aller AJAX-Aufrufe
					document.getElementById("delay").style.display = "none";
				}
			}
		});
	}
	// Initialer Aufruf von toIndex()
	toIndex(1, token);
})();
