<?php

use Scriptor\MinRes\Theme\Theme;
use Scriptor\Core\Scriptor;

/** 
 * SuperCache 
 * 
 * 1. Check if there's a cached version of that page.
 * 
 * 2. If there is no cached version available, so proceed usually.
 * Depending on the page a specific template will be loaded.
 * 
 * 3. If current page template is defined as cacheable, a copy of 
 * the output will be cached and shown the next time the page is 
 * called.
 * 
 */
$config = Scriptor::getProperty('config');

$cName = ($imanager->input->urlSegments->total) ? 
	implode('-', $imanager->input->urlSegments->segment) : 'home';

$output = null;

if (!$output = $imanager->sectionCache->get(
		"page.$cName", 
		$config['markup_cache_time'])
	) {
	$site = Scriptor::getSite();
	$site->execute();
	include __DIR__.'/_minResTheme.php';
	$theme = new Theme();
	$theme->init();

	// is module installed ?
	$site->module = $site->loadModule('MinResModule');
	if(!$site->module) {
		$site->setProperty('msgs', [
			[
				'type' => 'error',
				'value' => '<i class="gg-danger"></i> The &nbsp;<strong>MinRes</strong>&nbsp; module has not yet been installed.'
			]
		]);
		$site->renderMessages();
		$site->page->template = 'error';
		$site->module = new stdClass;
		$site->module->config['template'] = 
		[
			'allowed' => ['error'],
			'cacheable' => []
		];

	}
	$tempconf = $site->module->config['template'];

	ob_start();
	// Allow only home
	if ($site->page->id === 1) {
		include "_home.php";
	}

	$output = ob_get_clean();
	// Is template cacheable?
	if(in_array($site->page->template, $tempconf['cacheable'])) {
		$site->imanager->sectionCache->save($output); 
	}
}
