<?php 

namespace Scriptor\MinRes\Theme;

use Scriptor\Core\Module;
use Scriptor\Core\Scriptor;

class Theme extends Module
{
	private $hero;

	private $skills = [];

	private $interests = [];

	private $achievements = [];

	private $timeline = [];

	private $footer;

	private $pages;

	public function init()
	{
		parent::init();
		$this->site = Scriptor::getSite();
		$this->pages = $this->site->pages();
	}

	public function getHero()
	{
		if(!$this->hero) {
			$hero = $this->pages->getPage('template=hero');
		}
		$this->hero = ($hero && $hero->active) ? $hero : null;
		return ($this->hero) ? unserialize(base64_decode($this->hero->content)) : null;
	}

	public function getFooter()
	{
		if(!$this->footer) {
			$footer = $this->pages->getPage('template=footer');
		}
		$this->footer = ($footer && $footer->active) ? $footer : null;
		$data = ($this->footer) ? unserialize(base64_decode($this->footer->content)) : null;
		if($data) return ($this->config['allowHtmlOutput']) ? html_entity_decode($data['content']) : $data['content'];
		return '';
	}

	public function getBunch($template)
	{
		if(!$this->$template) {
			$pages = $this->pages->getPages("template=$template");
			if ($pages) $pages = $this->pages->sortPages(['items' => $pages]);
		}
		if(isset($pages) && !empty($pages)) {
			foreach($pages as $page) {
				if($page->active) {
					$this->$template[] = $page;
				}
			}
		}
		$result = [];
		if($this->$template) {
			foreach($this->$template as $page) {
				$result[] = unserialize(base64_decode($page->content));
			}
		}
		return $result;
	}

}